Summary:        UDF reader library
Name:           libudfread
Version:        1.1.2
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://code.videolan.org/videolan/%{name}
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc make automake autoconf libtool

%description
This library allows reading UDF filesystems, like raw devices and image files.
The library is created and maintained by VideoLAN Project and is used by
projects like VLC and Kodi.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains libraries and header files for developing with %{name}.


%prep
%autosetup -p1


%build
autoreconf -vif
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc ChangeLog
%{_libdir}/libudfread.so.0*


%files devel
%{_libdir}/libudfread.so
%{_libdir}/pkgconfig/libudfread.pc
%{_includedir}/udfread/


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 rockerzhu <rockerzhu@tencent.com> - 1.1.2-1
- Initial build.
